zenilib: zenilib/jni/external/freetype2/src/pfr/pfrload.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
pfrload.h File Reference
`#include "pfrobjs.h"`
`#include <FT_INTERNAL_STREAM_H>`

Go to the source code of this file.

## Classes

struct | PFR_ExtraItemRec_

## Macros

#define | PFR_CHECK(x)
#define | PFR_NEXT_BYTE(p) FT_NEXT_BYTE( p )
#define | PFR_NEXT_INT8(p) FT_NEXT_CHAR( p )
#define | PFR_NEXT_LONG(p) FT_NEXT_OFF3( p )
#define | PFR_NEXT_SHORT(p) FT_NEXT_SHORT( p )
#define | PFR_NEXT_ULONG(p) FT_NEXT_UOFF3( p )
#define | PFR_NEXT_USHORT(p) FT_NEXT_USHORT( p )

## Typedefs

typedef struct PFR_ExtraItemRec_ * | PFR_ExtraItem
typedef FT_Error(* | PFR_ExtraItem_ParseFunc )(FT_Byte *p, FT_Byte *limit, FT_Pointer data)
typedef struct PFR_ExtraItemRec_ | PFR_ExtraItemRec

## Functions

| pfr_extra_items_parse (FT_Byte **pp, FT_Byte *limit, PFR_ExtraItem item_list, FT_Pointer item_data)
| pfr_extra_items_skip (FT_Byte **pp, FT_Byte *limit)
| pfr_header_check (PFR_Header header)
| pfr_header_load (PFR_Header header, FT_Stream stream)
| pfr_log_font_count (FT_Stream stream, FT_UInt32 log_section_offset, FT_UInt *acount)
| pfr_log_font_load (PFR_LogFont log_font, FT_Stream stream, FT_UInt face_index, FT_UInt32 section_offset, FT_Bool size_increment)
| pfr_phy_font_done (PFR_PhyFont phy_font, FT_Memory memory)
| pfr_phy_font_load (PFR_PhyFont phy_font, FT_Stream stream, FT_UInt32 offset, FT_UInt32 size)

## Macro Definition Documentation

#define PFR_CHECK | ( |  | x | ) |

Value:
do \
{ \
if ( p + (x) > limit ) \
goto Too_Short; \
} while ( 0 )
x
EGLSurface EGLint x
Definition: eglext.h:293
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
p
GLfloat GLfloat p
Definition: glew.h:14938
limit
GLint limit
Definition: glew.h:11829

Definition at line 31 of file pfrload.h.

Referenced by pfr_extra_item_load_bitmap_info(), pfr_extra_item_load_kerning_pairs(), pfr_extra_item_load_stem_snaps(), pfr_extra_items_parse(), pfr_glyph_load_compound(), pfr_glyph_load_simple(), pfr_load_bitmap_metrics(), pfr_log_font_load(), and pfr_phy_font_load().

#define PFR_NEXT_BYTE | ( |  | p | ) | FT_NEXT_BYTE( p )

Definition at line 38 of file pfrload.h.

Referenced by pfr_extra_item_load_bitmap_info(), pfr_extra_item_load_kerning_pairs(), pfr_extra_item_load_stem_snaps(), pfr_extra_items_parse(), pfr_glyph_load_compound(), pfr_glyph_load_simple(), pfr_load_bitmap_metrics(), pfr_log_font_load(), pfr_lookup_bitmap_data(), and pfr_phy_font_load().

#define PFR_NEXT_INT8 | ( |  | p | ) | FT_NEXT_CHAR( p )

Definition at line 39 of file pfrload.h.

Referenced by pfr_glyph_load_compound(), pfr_glyph_load_simple(), and pfr_load_bitmap_metrics().

#define PFR_NEXT_LONG | ( |  | p | ) | FT_NEXT_OFF3( p )

Definition at line 42 of file pfrload.h.

Referenced by pfr_glyph_load_compound(), pfr_load_bitmap_metrics(), and pfr_log_font_load().

#define PFR_NEXT_SHORT | ( |  | p | ) | FT_NEXT_SHORT( p )

Definition at line 40 of file pfrload.h.

Referenced by pfr_extra_item_load_kerning_pairs(), pfr_glyph_load_compound(), pfr_glyph_load_simple(), pfr_load_bitmap_metrics(), pfr_log_font_load(), and pfr_phy_font_load().

#define PFR_NEXT_ULONG | ( |  | p | ) | FT_NEXT_UOFF3( p )

Definition at line 43 of file pfrload.h.

Referenced by pfr_extra_item_load_bitmap_info(), pfr_log_font_load(), pfr_lookup_bitmap_data(), and pfr_phy_font_load().

#define PFR_NEXT_USHORT | ( |  | p | ) | FT_NEXT_USHORT( p )

Definition at line 41 of file pfrload.h.

Referenced by pfr_extra_item_load_bitmap_info(), pfr_extra_item_load_kerning_pairs(), pfr_glyph_load_compound(), pfr_load_bitmap_metrics(), pfr_log_font_load(), pfr_lookup_bitmap_data(), and pfr_phy_font_load().

## Typedef Documentation

typedef struct PFR_ExtraItemRec_* PFR_ExtraItem

Definition at line 60 of file pfrload.h.

typedef FT_Error(* PFR_ExtraItem_ParseFunc)(FT_Byte *p, FT_Byte *limit, FT_Pointer data)

Definition at line 49 of file pfrload.h.

typedef struct PFR_ExtraItemRec_ PFR_ExtraItemRec

## Function Documentation

pfr_extra_items_parse | ( | FT_Byte ** | pp,
|  | FT_Byte * | limit,
|  | PFR_ExtraItem | item_list,
|  | FT_Pointer | item_data
| ) |  |

Definition at line 47 of file pfrload.c.

References error, FT_ERROR, NULL, PFR_ExtraItemRec_::parser, PFR_CHECK, PFR_NEXT_BYTE, pp, and PFR_ExtraItemRec_::type.

Referenced by pfr_extra_items_skip(), and pfr_phy_font_load().

pfr_extra_items_skip | ( | FT_Byte ** | pp,
|  | FT_Byte * | limit
| ) |  |

Definition at line 39 of file pfrload.c.

References NULL, and pfr_extra_items_parse().

Referenced by pfr_glyph_load_compound(), pfr_glyph_load_simple(), and pfr_log_font_load().

pfr_header_check | ( | PFR_Header | header | ) |

Definition at line 173 of file pfrload.c.

References FT_Bool.

Referenced by pfr_face_init().

pfr_header_load | ( | PFR_Header | header,
|  | FT_Stream | stream
| ) |  |

Definition at line 153 of file pfrload.c.

References error, FT_STREAM_READ_FIELDS, and FT_STREAM_SEEK.

Referenced by pfr_face_init().

pfr_log_font_count | ( | FT_Stream | stream,
|  | FT_UInt32 | log_section_offset,
|  | FT_UInt * | acount
| ) |  |

Definition at line 200 of file pfrload.c.

References error, FT_READ_USHORT, and FT_STREAM_SEEK.

Referenced by pfr_face_init().

pfr_log_font_load | ( | PFR_LogFont | log_font,
|  | FT_Stream | stream,
|  | FT_UInt | face_index,
|  | FT_UInt32 | section_offset,
|  | FT_Bool | size_increment
| ) |  |

Definition at line 221 of file pfrload.c.

References error, FT_ERROR, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_READ_UOFF3, FT_READ_USHORT, FT_STREAM_SEEK, FT_STREAM_SKIP, local, PFR_CHECK, pfr_extra_items_skip(), PFR_LINE_JOIN_MASK, PFR_LINE_JOIN_MITER, PFR_LOG_2BYTE_BOLD, PFR_LOG_2BYTE_STROKE, PFR_LOG_BOLD, PFR_LOG_EXTRA_ITEMS, PFR_LOG_STROKE, PFR_NEXT_BYTE, PFR_NEXT_LONG, PFR_NEXT_SHORT, PFR_NEXT_ULONG, and PFR_NEXT_USHORT.

Referenced by pfr_face_init().

pfr_phy_font_done | ( | PFR_PhyFont | phy_font,
|  | FT_Memory | memory
| ) |  |

Definition at line 668 of file pfrload.c.

References FT_FREE, PFR_KernItemRec_::next, and NULL.

Referenced by pfr_face_done().

pfr_phy_font_load | ( | PFR_PhyFont | phy_font,
|  | FT_Stream | stream,
|  | FT_UInt32 | offset,
|  | FT_UInt32 | size
| ) |  |

Definition at line 712 of file pfrload.c.

References PFR_CharRec_::advance, PFR_CharRec_::char_code, error, FT_ERROR, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_NEW_ARRAY, FT_STREAM_POS, FT_STREAM_SEEK, PFR_CharRec_::gps_offset, PFR_CharRec_::gps_size, NULL, pfr_aux_name_load(), PFR_CHECK, pfr_extra_items_parse(), PFR_NEXT_BYTE, PFR_NEXT_SHORT, PFR_NEXT_ULONG, PFR_NEXT_USHORT, PFR_PHY_2BYTE_CHARCODE, PFR_PHY_2BYTE_GPS_SIZE, PFR_PHY_3BYTE_GPS_OFFSET, PFR_PHY_ASCII_CODE, PFR_PHY_EXTRA_ITEMS, and PFR_PHY_PROPORTIONAL.

Referenced by pfr_face_init().